Support » Fixing WordPress » Help error after wordpress new version install

  • Resolved zahabiya

    (@zahabiya)


    Hi,
    I updated to the latest version of wordpress whilst on my admin screen.
    I am receiving this error. I am not sure what this means as i’m quite new to wordpress. Looks like something has been declared twice and i need to remove it?

    Please can anyone help

    Fatal error: Cannot redeclare has_shortcode() (previously declared in /home/zahabiya/public_html/www.zeeinspired.com/wp-includes/shortcodes.php:153) in /home/zahabiya/public_html/www.zeeinspired.com/wp-content/themes/Portfoliozeeinspired/framework/functions/framework-functions.php on line 101

Viewing 12 replies - 1 through 12 (of 12 total)
  • WPyogi

    (@wpyogi)

    Forum Moderator

    Appears to be a problem with the theme you are using – Portfoliozeeinspired – where did you download that theme from?

    Fresh wordpress download from wordpress.org.then unzip this folder then find “shortcodes.php” from this folder then upload to “public_html/www.zeeinspired.com/wp-includes/”

    esmi

    (@esmi)

    Forum Moderator

    @jai_vfastblog: The issue is in the theme – not WordPress core.

    Hi,

    I really appreciate all your comments and want to fix this issue.

    The theme was showing fine until i did an update to the wordpress which is why i think it isn’t the theme. The issue occured after i installed the latest version of wordpress. Do you think the theme is not compatible with the latest wordpress?

    Thank you

    WPyogi

    (@wpyogi)

    Forum Moderator

    The error shows it to be coming from the theme –

    themes/Portfoliozeeinspired/

    Where did you get the theme?

    i paid for it off of theme forest! I have a copy of the files from the original install- i’ll try to overwrite the file. Weird as error appeared straight after the wordpress update.

    WPyogi

    (@wpyogi)

    Forum Moderator

    It may not be compatible with 3.7+ – have you checked on that? These forums don’t support commercial themes so the developer would be the ones to ask about any theme issues.

    Unfortunately the theme is not available and has been removed – is there a way of switching back to an older version of wordpress 🙁

    Thank you for your help.

    WPyogi

    (@wpyogi)

    Forum Moderator

    Using an outdated version of WP is a major security risk – so it’s really not a good solution. Additionally, moving forward, I expect you’ll really need to be using a theme that’s current and supported so you don’t run into more and more compatibility/security issues.

    Have you looked for another theme?

    i have i’m a bit scared what will happen – i guess this will mean i may have to start from scratch hopefully a new theme will be able to deal with the pages i have…

    WPyogi

    (@wpyogi)

    Forum Moderator

    Changing themes doesn’t change any of your content – so certainly your pages should be fine. WP makes it easy to switch themes.

    Thanks so much for your help i was just worried about portfolio image sizes, but it’s not the end of the world.

Viewing 12 replies - 1 through 12 (of 12 total)
  • The topic ‘Help error after wordpress new version install’ is closed to new replies.